Error when demos are executed on ubuntu 18


77
views
0
7 weeks ago by
Hello,

When the  Cahn-Hilliard python demo is executed in ubuntu 18.04 I have this error:

File "Cahn Hilla.py", line 38, in <module>
ME = V*V
TypeError: unsupported operand type(s) for *: 'FunctionSpace' and 'FunctionSpace'

Any help please?

Thank you.
Community: FEniCS Project

2 Answers


2
7 weeks ago by
You are likely looking at an out-dated version of the demo.  (The multiplication of FunctionSpaces has been removed from more recent versions.)  See, e.g.,

https://fenics.readthedocs.io/projects/dolfin/en/2017.2.0/demos/cahn-hilliard/python/demo_cahn-hilliard.py.html

which works for me on 2017.2.
0
7 weeks ago by
Thank you ! it works.
Please login to add an answer/comment or follow this question.

Similar posts:
Search »